import 'package:analyzer/dart/analysis/results.dart';
import 'package:analyzer/dart/ast/ast.dart';
import 'package:analyzer_plugin/protocol/protocol_common.dart';

AnalysisError getAnalysisError({AstNode astNode, ResolvedUnitResult analysisResult}) {
  return AnalysisError(
    AnalysisErrorSeverity.WARNING,
    AnalysisErrorType.LINT,
    Location(
      analysisResult.unit.declaredElement.source.fullName,
      astNode.offset,
      astNode.length,
      analysisResult.unit.lineInfo.getLocation(astNode.offset).lineNumber,
      analysisResult.unit.lineInfo.getLocation(astNode.offset).columnNumber,
    ),
    '不能使用XX方法',
    '_forbidden_method',
    correction: 'correction信息',
    hasFix: false,
  );
}
